#ifndef IMAGEHANDLER_H
#define IMAGEHANDLER_H

#include <QPixmap>
#include <QObject>

//Abstract baseclass for imagehandler functions
class ImageHandler : public QObject
{
    public:
        ImageHandler() {};
        virtual ~ImageHandler() {};

        virtual void startHandler() = 0;
        virtual int handleImage(const QPixmap &) = 0;
        virtual void stopHandler() = 0;
    protected:
    private:
};

#endif // IMAGEHANDLER_H
