#include "SimpleImageSaver.h"


SimpleImageSaver::SimpleImageSaver(QString fname,QString ext,int qual)
{
    filename = fname;
    fileExtension = ext;
    quality = qual;
}

SimpleImageSaver::~SimpleImageSaver()
{
    //nothing to delete
}

void SimpleImageSaver::startHandler()
{
    if(P_DEBUG) {std::cout << "Capturing images to memory..." << nrSaved << std::endl;}
}

int SimpleImageSaver::handleImage(const QPixmap &image)
{
    QString tmp;
    QString num;
    num.setNum(nrSaved);
    tmp = filename+num+"."+fileExtension;
    image.toImage().save(tmp,fileExtension.toLatin1().data(),quality);
    nrSaved++;
    if(P_DEBUG) {std::cout << "Writing: " << tmp.toLatin1().data() << std::endl;}

    //QBuffer tmpIm;
    //image.toImage().save(&tmpIm,"jpg",100);
    //bufferedImages.push_back(QByteArray::QByteArray(tmpIm.buffer()));

    return 0;
}


//This was used when images was saved tom memory and had to be written later
void SimpleImageSaver::stopHandler()
{/*
    QString num;
    list<QByteArray>::const_iterator it;
   for(it=bufferedImages.begin(); it!=bufferedImages.end(); it++)
   {
    num.setNum(nrSaved);

    //QFile file(filename+num+".jpg");
    //if (!file.open(QIODevice::WriteOnly | QIODevice::Text))
     //    return;
    //file << *it;
    //(*it).save( (filename+num+".jpg") ,"jpg",-1);
     //QDataStream out(&file);
     //out << (*it);
     QString tmp;
     tmp = filename+num+".jpg";
     //(QImage::fromData((*it),"jpg")).save(tmp,"jpg",100);

     //file.write(*it);
     //file.close();

    nrSaved++;
   }
    bufferedImages.clear();
*/
}
