#ifndef SIMPLEIMAGESAVER_H
#define SIMPLEIMAGESAVER_H

#include "useful.h"
#include "ImageHandler.h"
#include <QString>
#include <QImage>
#include <QByteArray>
#include <list>


class SimpleImageSaver : public ImageHandler
{
    public:
        SimpleImageSaver(QString filename = "./capture/pic",QString ext = "jpg",int qual = -1);
        ~SimpleImageSaver();

        void startHandler();
        int handleImage(const QPixmap &);
        void stopHandler();

    protected:
    private:
        QString filename;
        QString fileExtension;
        int quality;
         int nrSaved;
        //list<QByteArray> bufferedImages
        list<QString> bufferedImageList;
};

#endif // SIMPLEIMAGESAVER_H
