#ifndef IMAGETOSTREAMCONVERTER_H
#define IMAGETOSTREAMCONVERTER_H

#include <QPixmap>
#include "simpleioimagehandler.h"
#include "ImageHandler.h"


//the class has an IODevice to handle the stream
class ImageToStreamConverter : public ImageHandler
{
    public:
        ImageToStreamConverter(IOImageHandler *ioh);
        ~ImageToStreamConverter();

        void startHandler();
        int handleImage(const QPixmap &);
        void stopHandler();



    protected:
    private:
        IOImageHandler *ioimhandler;
};

#endif // IMAGETOSTREAMCONVERTER_H
