#include "simpleioimagehandler.h"

SimpleIOImageHandler::SimpleIOImageHandler()
{
    dataStream = new QDataStream(&theIODevice);
    theIODevice.open(QIODevice::ReadWrite);
    //ctor
    connect(&theIODevice,SIGNAL(readyRead()),this,SLOT(SLOT_emitImageswritten()));
}

SimpleIOImageHandler::~SimpleIOImageHandler()
{
    delete dataStream;
    //dtor
}

void SimpleIOImageHandler::SLOT_emitImageswritten()
{
    //std::cout << "IMAGE WRITTEN" << std::endl;
    emit SIG_imageWritten();
}
